Bug 1129511 - Incorrect Source0 URL in p11-kit.spec
Summary: Incorrect Source0 URL in p11-kit.spec
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: p11-kit
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stef Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 02:22 UTC by Vadim Raskhozhev
Modified: 2014-08-21 07:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 07:56:36 UTC


Attachments (Terms of Use)

Description Vadim Raskhozhev 2014-08-13 02:22:51 UTC
Description of problem:
Source0 for p11-kit-0:0.20.4-1.fc20 from updates-testing does not exist upstream. Instead, there are p11-kit-0.20.2.tar.gz, p11-kit-0.20.3.tar.gz, p11-kit-0.21.1.tar.gz and so forth.

Version-Release number of selected component (if applicable):
p11-kit-0:0.20.4-1.fc20

How reproducible:
Always

Steps to Reproduce:
1. wget -qO- 'http://pkgs.fedoraproject.org/cgit/p11-kit.git/plain/p11-kit.spec?h=f20' | spectool -S - | cut -d ' ' -f 2 | wget -i - --spider -S

Actual results:
-: Invalid URL trust-extract-compat: Scheme missing
Spider mode enabled. Check if remote file exists.
--2014-08-13 05:55:18--  http://p11-glue.freedesktop.org/releases/p11-kit-0.20.4.tar.gz
Resolving p11-glue.freedesktop.org (p11-glue.freedesktop.org)... 131.252.210.176
Connecting to p11-glue.freedesktop.org (p11-glue.freedesktop.org)|131.252.210.176|:80... connected.
HTTP request sent, awaiting response... 
  HTTP/1.1 404 Not Found
  Date: Wed, 13 Aug 2014 01:55:20 GMT
  Server: Apache/2.2.22 (Debian)
  Vary: Accept-Encoding
  Keep-Alive: timeout=5, max=100
  Connection: Keep-Alive
  Content-Type: text/html; charset=iso-8859-1
Remote file does not exist -- broken link!!!

Expected results:
p11-kit-0.20.4.tar.gz downloaded into current directory

Additional info:
It seems to be a security issue

Comment 1 Vadim Raskhozhev 2014-08-21 07:56:36 UTC
Source0 is in its place now. Sorry for false alarm.


Note You need to log in before you can comment on or make changes to this bug.